version: '1'
services:

  postgres:
    image: postgres:13.6
    hostname: postgres
    ports:
      - 5433:5432
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
    volumes:
      - pgdata:/var/lib/postgresql/data

  pgadmin:
    image: dpage/pgadmin4
    ports:
      - 83:80
    container_name: pgadmin4
    hostname: pgadmin
    restart: unless-stopped
    depends_on:
      - postgres
    environment:
      PGADMIN_DEFAULT_EMAIL: postgres@postgres.ru
      PGADMIN_DEFAULT_PASSWORD: postgres

  tm-balancer:
    image: registry.gitlab.com/kir.titoff/task-manager-52/tm-balancer:latest
    hostname: balancer
    ports:
      - 8084:80

  tm-server01:
    image: registry.gitlab.com/kir.titoff/task-manager-52/tm-server:latest
    hostname: alpha
    ports:
      - 8081:8080
    container_name: tm-1
    depends_on:
      - postgres
    environment:
      DATABASE_URL: jdbc:postgresql://postgres:5432/tm

  tm-server02:
    image: registry.gitlab.com/kir.titoff/task-manager-52/tm-server:latest
    hostname: betta
    ports:
      - 8082:8080
    container_name: tm-2
    depends_on:
      - postgres
    environment:
      DATABASE_URL: jdbc:postgresql://postgres:5432/tm

  tm-server03:
    image: registry.gitlab.com/kir.titoff/task-manager-52/tm-server:latest
    hostname: gamma
    ports:
      - 8083:8080
    container_name: tm-3
    depends_on:
      - postgres
    environment:
      DATABASE_URL: jdbc:postgresql://postgres:5432/tm

volumes:
  pgdata:

networks:
  default:
